[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadCurrency

Read a currency value from the stream.

## Declaration

Source position: classesh.inc line 1300

`public function TBinaryObjectReader.ReadCurrency: Currency; override;`

## Description

var>ReadCurrency reads a currency-typed value from a binary stream. It is the implementation of the method introduced in TAbstractObjectReader.

## See also

TAbstractObjectReader.ReadCurrency |  | Read a currency value from the stream.
TBinaryObjectWriter.WriteCurrency |  | Write a currency-valued type to a stream